JTS Topology Suite version 1.13

## com.vividsolutions.jts.geom
Class Location

    java.lang.Object
      com.vividsolutions.jts.geom.Location

    public class Location

extends java.lang.Object

Constants representing the different topological locations which can occur in a `Geometry`. The constants are also used as the row and column indices of DE-9IM `IntersectionMatrix`es.

Version:
  1.7

Field Summary
`static int` `BOUNDARY` The location value for the boundary of a geometry.
`static int` `EXTERIOR` The location value for the exterior of a geometry.
`static int` `INTERIOR` The location value for the interior of a geometry.
`static int` `NONE` Used for uninitialized location values.

Constructor Summary
`Location()`

Method Summary
`static char` `toLocationSymbol(int locationValue)` Converts the location value to a location symbol, for example, `EXTERIOR => 'e'` .

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INTERIOR

    public static final int INTERIOR

  The location value for the interior of a geometry. Also, DE-9IM row index of the interior of the first geometry and column index of the interior of the second geometry.

  See Also:
    Constant Field Values

### BOUNDARY

    public static final int BOUNDARY

  The location value for the boundary of a geometry. Also, DE-9IM row index of the boundary of the first geometry and column index of the boundary of the second geometry.

  See Also:
    Constant Field Values

### EXTERIOR

    public static final int EXTERIOR

  The location value for the exterior of a geometry. Also, DE-9IM row index of the exterior of the first geometry and column index of the exterior of the second geometry.

  See Also:
    Constant Field Values

### NONE

    public static final int NONE

  Used for uninitialized location values.

  See Also:
    Constant Field Values

Constructor Detail

### Location

    public Location()

Method Detail

### toLocationSymbol

    public static char toLocationSymbol(int locationValue)

  Converts the location value to a location symbol, for example, `EXTERIOR => 'e'` .

  Parameters:
    `locationValue` - either EXTERIOR, BOUNDARY, INTERIOR or NONE
  Returns:
    either 'e', 'b', 'i' or '-'

JTS Topology Suite version 1.13